summaryrefslogtreecommitdiff
path: root/script/update/release
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-10-20 09:25:52 +0100
committerLeah Rowe <leah@libreboot.org>2023-10-20 09:27:27 +0100
commit782371a59cf2e2a6c9a20ffbaa07f2724c1d1b70 (patch)
tree3b44eca403316ffe0e0116e93659b35356dcc036 /script/update/release
parent743a425cd6fbf1c8984e9dd2717e593ebd9a4558 (diff)
update/release: delete *all* .git and .gitmodules
do it using find -exec this is more robust, and it will never need to be maintained over time (famous last words). this is done because now we download submodules for all git projects, so it's hard to predict. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script/update/release')
-rwxr-xr-xscript/update/release7
1 files changed, 4 insertions, 3 deletions
diff --git a/script/update/release b/script/update/release
index 8861dd0a..67ec8bec 100755
--- a/script/update/release
+++ b/script/update/release
@@ -91,9 +91,10 @@ fetch_trees()
xp="${x#*/}"; xp="${xp%/*}"
[ -L "${xp}" ] || x_ rm -Rf "src/${xp}/${xp}"
done
- rm -Rf */.git* */*/.git* */*/*/.git* */*/*/*/.git* */*/*/*/*/.git* \
- */*/*/*/*/*/.git* */*/*/*/*/*/*/.git* */*/*/*/*/*/*/*/.git* \
- */*/*/*/*/*/*/*/*/.git* .git tmp || err "${_xm}: rm-dotgit"
+
+ find . -name ".git" -exec rm -Rf {} + || err "${_xm}: rm .git"
+ find . -name ".gitmodules" -exec rm -Rf {} + || err "${_xm}: rm .gitmod"
+ x_ rm -Rf tmp
}
mkrom_images()